XMLBuilderProperties (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.builder, interface: XMLBuilderProperties

Package org.apache.commons.configuration2.builder

# Interface XMLBuilderProperties<T>

Type Parameters:
  `T` - the type of the result of all set methods for method chaining

All Known Subinterfaces:
  `XMLBuilderParameters`

All Known Implementing Classes:
  `XMLBuilderParametersImpl`

public interface XMLBuilderProperties<T>

Definition of a parameters interface for XML configurations.

The `XMLConfiguration` class defines a bunch of additional properties related to XML processing.

Important note: This interface is not intended to be implemented by client code! It defines a set of available properties and may be extended even in minor releases.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `setDocumentBuilder(DocumentBuilder docBuilder)`
  Sets the `DocumentBuilder` for parsing an XML document.
  `T`
  `setEntityResolver(EntityResolver resolver)`
  Sets the `EntityResolver` which maps entity references during XML parsing.
  `T`
  `setPublicID(String pubID)`
  Sets the public ID of the DOCTYPE declaration.
  `T`
  `setSchemaValidation(boolean f)`
  Sets the value of the schemaValidation flag.
  `T`
  `setSystemID(String sysID)`
  Sets the system ID of the DOCTYPE declaration.
  `T`
  `setValidating(boolean f)`
  Sets a flag whether schema/DTD validation should be performed.

- ## Method Details

  - ### setDocumentBuilder

    T setDocumentBuilder(DocumentBuilder docBuilder)
    Sets the `DocumentBuilder` for parsing an XML document. This is the most flexible way of customizing XML processing.
    Parameters:
      `docBuilder` - the `DocumentBuilder` to use
    Returns:
      a reference to this object for method chaining

  - ### setEntityResolver

    T setEntityResolver(EntityResolver resolver)
    Sets the `EntityResolver` which maps entity references during XML parsing.
    Parameters:
      `resolver` - the `EntityResolver` to use
    Returns:
      a reference to this object for method chaining

  - ### setPublicID

    T setPublicID(String pubID)
    Sets the public ID of the DOCTYPE declaration.
    Parameters:
      `pubID` - the public ID
    Returns:
      a reference to this object for method chaining

  - ### setSchemaValidation

    T setSchemaValidation(boolean f)
    Sets the value of the schemaValidation flag. This flag determines whether DTD or Schema validation should be used.
    Parameters:
      `f` - the flag value, true for schema validation, false for DTD validation
    Returns:
      a reference to this object for method chaining

  - ### setSystemID

    T setSystemID(String sysID)
    Sets the system ID of the DOCTYPE declaration.
    Parameters:
      `sysID` - the system ID
    Returns:
      a reference to this object for method chaining

  - ### setValidating

    T setValidating(boolean f)
    Sets a flag whether schema/DTD validation should be performed.
    Parameters:
      `f` - the validation flag
    Returns:
      a reference to this object for method chaining